package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.pojo.mes.bean.*;
import io.swagger.annotations.ApiOperation;

import java.util.List;


/**
 * @Description :
 * @Reference :
 * @Author :
 * @CreateDate : 2024-04-26 15:37
 * @Modify:
 **/
public interface IMesWorkOrderCutService {


    @ApiOperation(value = "查询裁片工单")
    MesWorkOrderCut getMesWorkOrderCut(String cutWorkOrderNo, String organizeCode);

    @ApiOperation(value = "查询裁片工单明细")
    List<MesWorkOrderCutDetail> queryMesWorkOrderCutDetailList(String cutWorkOrderNo, String organizeCode);

    @ApiOperation(value = "查询裁片方案")
    MesCutScheme getCutScheme(String cutCode, String organizeCode);

    @ApiOperation(value = "查询裁片方案集合")
    List<MesCutScheme> queryCutSchemeList(List<String> cutCodeList, String organizeCode);

    @ApiOperation(value = "查询裁片方案成品配置")
    List<MesCutSchemeFg> queryCutSchemeFgList(String cutCode, String organizeCode);

    @ApiOperation(value = "查询裁片方案成品配置")
    List<MesWorkOrderCutMaterial> queryCutOrderMaterialList(String cutWorkOrder, String organizeCode);


    @ApiOperation(value = "查询裁片方案设备信息")
    MesCutSchemeEquipment getCutSchemeEquipment(String cutCode, String equipmentCode, String organizeCode);

}
